List all user configs

View as Markdown

The content field of each individual user config is excluded when listing user configs.

Required scope: air:simulation_read (roles: air_org_admin, air_user)

Alternative: role air_trainee also grants access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

kindenumOptional
What kind of content does this config contain. * `cloud-init-user-data` - Cloud-Init User Data * `cloud-init-meta-data` - Cloud-Init Meta Data
Allowed values:
limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingstringOptional
Which field to use when ordering the results.
searchstringOptional
A search term.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error